package org.jcon.df.request;

// import org.jcon.util.GenLib;

/**
 * Defines a DataRequest's properties and cannot perform
 * any work. Used to define the properties needed to
 * initialize a DataRequest subclass.
 *
 * @author Jack Harich
 */
public class DataRequestDef extends DataRequest {

//---------- Private Fields ------------------------------

//---------- Abstract Implementation ---------------------
public boolean isMutator() {
    return false;
}
public Object perform() {
    // Do nothing
    return null;
}
//---------- Properties ----------------------------------
// (all in superclass)

//---------- Public Methods ------------------------------

//---------- Private Methods -----------------------------
//--- Std
private static void print(String text) {
    System.out.println("DataRequestDef" + text);
}

} // End class
